#include	<stdio.h>

#include	"zlibio.h"
#include	"cmdopt.h"


int		main( int argc, char *argv[] )
{
	int		ret, val, mode = 'c';
	int		ind, n;
	CmdOpt	opt;
	LongOpt		lopts[] = { { "compress", 0, NULL, 'c' },
							{ "decompress", 0, NULL, 'd' } };

	CmdOpt_Init( &opt, argc, argv, "cd", lopts );
	opt.opterr = 1;
	while ( ( val = CmdOpt_Get( &opt ) ) != -1 )
		mode = val;

	ind = opt.optind;
	n = argc - ( ind = opt.optind );
	if ( ( mode != 'c' && mode != 'd' ) || n != 2 )
	{
		fprintf( stderr, "Usage: %s [cd] input output\n", opt.argv[0] );
		return	-1;
	}

	if ( mode == 'c' )
	{
		if ( ( ret = ZIO_Compress( argv[ind], argv[ ind + 1 ] ) ) != ZIO_OK )
			fprintf( stderr, "zio_compress(): %d\n", ret );
	}
	else
	{
		if ( ( ret = ZIO_Decompress( argv[ind], argv[ ind + 1 ] ) ) != ZIO_OK )
			fprintf( stderr, "zio_decompress(): %d\n", ret );
	}

	return	ret;
}
